Services_OpenStreetMap

# Class: Services_OpenStreetMap_Nodes

Source Location: /OpenStreetMap/Nodes.php

### Class Overview

    Services_OpenStreetMap_Objects
       |
       --Services_OpenStreetMap_Nodes

Services_OpenStreetMap_Nodes

#### Author(s):

- Ken Guest <kguest@php.net>

### Methods

- getType

### Inherited Variables

#### Class: Services_OpenStreetMap_Objects

Services_OpenStreetMap_Objects::$config
Services_OpenStreetMap_Objects::$objects
Services_OpenStreetMap_Objects::$position
Services_OpenStreetMap_Objects::$transport
Services_OpenStreetMap_Objects::$xml

### Inherited Methods

#### Class: Services_OpenStreetMap_Objects

Services_OpenStreetMap_Objects::count()
  Return the number of objects
Services_OpenStreetMap_Objects::current()
  Return the current object
Services_OpenStreetMap_Objects::getConfig()
  Get current Config object
Services_OpenStreetMap_Objects::getTransport()
  Retrieve the current Transport instance.
Services_OpenStreetMap_Objects::getXml()
  getXml
Services_OpenStreetMap_Objects::key()
  Return the key of the current internal iterator pointer
Services_OpenStreetMap_Objects::next()
  Advance the internal iterator pointer
Services_OpenStreetMap_Objects::offsetExists()
  Check if the specified offset exists.
Services_OpenStreetMap_Objects::offsetGet()
  Get object from the specified offset.
Services_OpenStreetMap_Objects::offsetSet()
  Does nothing as collection is read-only: required for ArrayAccess.
Services_OpenStreetMap_Objects::offsetUnset()
  Does nothing as collection is read-only: required for ArrayAccess.
Services_OpenStreetMap_Objects::rewind()
  Resets the internal iterator pointer
Services_OpenStreetMap_Objects::setConfig()
  Set Config object
Services_OpenStreetMap_Objects::setTransport()
  Set the Transport instance.
Services_OpenStreetMap_Objects::setVal()
  Store a specified value.
Services_OpenStreetMap_Objects::setXml()
  setXml
Services_OpenStreetMap_Objects::valid()
  Returns whether the current internal iterator pointer is pointing to an existing/valid value.

### Class Details

[line 24]
Services_OpenStreetMap_Nodes

#### Tags:

author: | Ken Guest <kguest@php.net>
link: | Nodes.php
license: | BSD

[ Top ]

### Class Methods

### method getType [line 31]

`string getType( )`

type

#### Tags:

return: | type
access: | public

[ Top ]

Documentation generated on Wed, 26 Sep 2012 01:24:53 +0100 by phpDocumentor 1.4.4